## linux 4.0.4

=== Makefile ===
VERSION = 4
PATCHLEVEL = 0
SUBLEVEL = 4
EXTRAVERSION =
NAME = Hurr durr I'ma sheep

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour);
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make: FORCE
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

ifneq ($(CC),)
ifeq ($(shell $(CC) -v 2>&1 | grep -c "clang version"), 1)
COMPILER := clang
else
COMPILER := gcc
endif
export COMPILER
endif

# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-Iarch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-Iinclude \
		$(USERINCLUDE)

KBUILD_CPPFLAGS := -D__KERNEL__

=== debian/changelog ===
linux (4.0.4-1tanglu2) staging; urgency=medium

  [ Ben Hutchings ]
  * udeb: Remove i2o modules (fixes FTBFS on amd64) (Closes: #787004)

  [ Ian Campbell ]
  * [armhf] Enable PCIe support for IMX6 boards. Patch from Vagrant
    Cascadian (Closes: #787029)
  * [armhf] Add stmmac-platform module to nic-modules udeb. (Closes: #786716)

 -- Matthias Klumpp <mak@debian.org>  Sun, 31 May 2015 15:50:26 +0200

linux (4.0.4-1tanglu1) staging; urgency=medium

  * Upload for Tanglu

 -- Matthias Klumpp <mak@debian.org>  Sun, 31 May 2015 08:25:14 +0200

linux (4.0.4-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.0.3
    - bpf: fix 64-bit divide
    - route: Use ipv4_mtu instead of raw rt_pmtu (regression in 3.19)
    - cxgb4: Fix MC1 memory offset calculation (regression in 3.19)
    - [mips*] Revert "MIPS: Remove race window in page fault handling"
      (regression in 3.17)
    - [mips*] Fix race condition in lazy cache flushing.
    - [mips*/octeon] Remove udelay() causing huge IRQ latency
    - [mips*] Fix cpu_has_mips_r2_exec_hazard.
    - [mips*] asm: elf: Set O32 default FPU flags (regression in 4.0)
    - ALSA: emux: Fix mutex deadlock in OSS emulation
    - cdc-acm: prevent infinite loop when parsing CDC headers.
      (regression in 4.0)
    - [arm64] dma-mapping: always clear allocated buffers
    - [arm64] add missing PAGE_ALIGN() to __dma_free()
    - [armhf] usb: chipidea: otg: remove mutex unlock and lock while stop and
      start role (regression in 3.16)
    - btrfs: unlock i_mutex after attempting to delete subvolume during send
      (regression in 3.16)
    - [x86] ACPI / SBS: Enable battery manager when present (regression in 3.18)
    - rbd: end I/O the entire obj_request on error
    - ext4: fix data corruption caused by unwritten and delayed extents
      (Closes: #785672)
    - ext4: move check under lock scope to close a race.
    - SCSI: add 1024 max sectors black list flag (regression in 3.19)
    - 3w-xxxx: fix command completion race
    - 3w-9xxx: fix command completion race
    - 3w-sas: fix command completion race
    - drm/radeon: fix lockup when BOs aren't part of the VM on release
    - drm/radeon: reset BOs address after clearing it.
    - drm/radeon: check new address before removing old one
    - hfsplus: don't store special "osx" xattr prefix on-disk
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.0.4
    - [x86] spinlocks: Fix regression in spinlock contention detection
      (regression in 4.0)
    - [x86] ACPI / SBS: Add 5 us delay to fix SBS hangs on MacBook
      (regression in 3.18)
    - [x86] PCI/ACPI: Make all resources except [io 0xcf8-0xcff] available on
      PCI bus (regression in 4.0)
    - ACPI / PNP: add two IDs to list for PNPACPI device enumeration
      (regression in 3.16)
    - ocfs2: dlm: fix race between purge and get lock resource
    - nilfs2: fix sanity check of btree level in nilfs_btree_root_broken()
    - mnt: Fix fs_fully_visible to verify the root directory is visible
    - mm/memory-failure: call shake_page() when error hits thp tail page
    - vfio: Fix runaway interruptible timeout (regression in 4.0)
    - Revert "dm crypt: fix deadlock when async crypto algorithm returns -EBUSY"
      (regression in 4.0.2)
    - block: destroy bdi before blockdev is unregistered. (regression in 4.0)
    - blk-mq: fix race between timeout and CPU hotplug
    - blk-mq: fix CPU hotplug handling
    - [armhf] dts: imx6: phyFLEX: USB VBUS control is active-high
      (regression in 3.16)
    - [armhf] mvebu: armada-xp-openblocks-ax3-4: Disable internal RTC
    - [armhf] OMAP2+: Fix omap off idle power consumption creeping up
      (regression in 3.16)
    - [armel,armhf] net fix emit_udiv() for BPF_ALU | BPF_DIV | BPF_K
      intruction.
    - drm: Zero out invalid vblank timestamp in drm_update_vblank_count.
      (regression in 3.17)
    - [x86] drm/i915/dp: there is no audio on port A
    - [x86] drm/amdkfd: allow unregister process with queues
    - drm/radeon: disable semaphores for UVD V1 (v2)
    - drm/radeon: don't setup audio on asics that don't support it
    - drm/radeon: fix userptr BO unpin bug v3
    - drm/radeon: make VCE handle check more strict
    - drm/radeon: make UVD handle checking more strict
    - drm/radeon: more strictly validate the UVD codec
    - pinctrl: Don't just pretend to protect pinctrl_maps, do it for real
    - mmc: card: Don't access RPMB partitions for normal read/write

  [ Ben Hutchings ]
  * Fix error messages at boot on systems without an RTC (Closes: #784146):
    - rtc: hctosys: do not treat lack of RTC device as error
    - rtc: hctosys: use function name in the error log
  * [rt] Update to 4.0.4-rt1 and re-enable
  * linux-image: Depend on kmod without an alternative of module-init-tools
  * linux-image: Add versioned Breaks on udev (<< 208-8~) due to #752742 and
    #756312
  * [i386] pnp: Disable PNPBIOS_PROC_FS
  * [arm64] USB: Add support for XHCI on APM Mustang (Closes: #785707)
    - Change USB_XHCI_HCD to built-in and enable USB_XHCI_PLATFORM as built-in
    - Make xhci platform driver use 64 bit or 32 bit DMA
    - Add support for ACPI identification to xhci-platform
  * md/raid0: fix restore to sector variable in raid0_make_request
    (Closes: #786372) (regression in 4.0.2)
  * [x86] e1000e: Add support for Sunrise Point (i219) (Closes: #784546)
  * [x86] config: Enable NEED_DMA_MAP_STATE by default when SWIOTLB is selected
    (Closes: #786551)
  * cdc_ncm: Fix tx_bytes statistics (regression in 4.0)
  * [armhf] USB: musb: Fix order of conditions for assigning end point
    operations (regression in 3.19)
  * [armel/{kirkwood,orion5x}] Disable PM again to reduce kernel image size
  * [armel/kirkwood] Enable DEBUG_MVEBU_UART0_ALTERNATE, replacing
    DEBUG_MVEBU_UART_ALTERNATE
  * i2o: Disable I2O
  * [x86] vmwgfx: Enable DRM_VMWGFX_FBCON (Closes: #714929)


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, kmod, python, python-six, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.9 [alpha amd64 arm64 armel armhf hppa i386 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el sh4 sparc sparc64], binutils-hppa64 [hppa], gcc-4.9-hppa64 [hppa], gcc-4.6 [ia64], gcc-4.8 [m68k s390x]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Svn: svn://anonscm.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/
Homepage: https://www.kernel.org/

Package: linux-source-4.0
Architecture: all
Section: kernel
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.0 with Debian patches
 This package provides source code for the Linux kernel version 4.0. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-4.0
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.0
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.0.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.0/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-4.0
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 4.0
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-4.0.0-2
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, python-six
Description: Support files for Linux 4.0
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel or1k powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-4.0.0-2-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64
Depends: linux-headers-4.0.0-2-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 4.0 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.0, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-4.0.0-2-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-4.0.0-2-alpha-generic (= ${binary:Version}), linux-headers-4.0.0-2-alpha-smp (= ${binary:Version})
Description: All header files for Linux 4.0 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.0, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: nic-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, nic-shared-modules-4.0.0-2-alpha-generic-di, core-modules-4.0.0-2-alpha-generic-di, crc-modules-4.0.0-2-alpha-generic-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: nic-wireless-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, nic-shared-modules-4.0.0-2-alpha-generic-di, core-modules-4.0.0-2-alpha-generic-di, usb-modules-4.0.0-2-alpha-generic-di, pcmcia-modules-4.0.0-2-alpha-generic-di, crc-modules-4.0.0-2-alpha-generic-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: nic-shared-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: serial-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, pcmcia-modules-4.0.0-2-alpha-generic-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: usb-serial-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, usb-modules-4.0.0-2-alpha-generic-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: ppp-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, serial-modules-4.0.0-2-alpha-generic-di, zlib-modules-4.0.0-2-alpha-generic-di, crc-modules-4.0.0-2-alpha-generic-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: pata-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, ata-modules-4.0.0-2-alpha-generic-di, scsi-core-modules-4.0.0-2-alpha-generic-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: cdrom-core-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, scsi-core-modules-4.0.0-2-alpha-generic-di, isofs-modules-4.0.0-2-alpha-generic-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: scsi-core-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: scsi-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, scsi-core-modules-4.0.0-2-alpha-generic-di, cdrom-core-modules-4.0.0-2-alpha-generic-di, core-modules-4.0.0-2-alpha-generic-di, ata-modules-4.0.0-2-alpha-generic-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: scsi-common-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-common-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, scsi-core-modules-4.0.0-2-alpha-generic-di, cdrom-core-modules-4.0.0-2-alpha-generic-di
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: scsi-extra-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-extra-modules
Depends: scsi-modules-4.0.0-2-alpha-generic-di, scsi-core-modules-4.0.0-2-alpha-generic-di
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.  This includes
 SCSI RAID drivers, and some of the less common SCSI controllers.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: loop-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: btrfs-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, core-modules-4.0.0-2-alpha-generic-di, crc-modules-4.0.0-2-alpha-generic-di, zlib-modules-4.0.0-2-alpha-generic-di, md-modules-4.0.0-2-alpha-generic-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: ext4-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di, core-modules-4.0.0-2-alpha-generic-di, crc-modules-4.0.0-2-alpha-generic-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: isofs-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
Kernel-Version: 4.0.0-2-alpha-generic
Package-Type: udeb

Package: jfs-modules-4.0.0-2-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: jfs-modules
Depends: kernel-image-4.0.0-2-alpha-generic-di
